Subject: Ticket Assigned - Returns
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Mon, 21 Feb 2022 20:10:14 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I was given a gift end 2021 where purchase was made online , using the details above . 
Delivery to my address: 
Gate tower 3 
Apartment 3712 
Al reem island 
Abu Dhabi 

The items do not fit my kids and I have tried to exchange but stores are asking for the order number . 
I cannot locate the order number , may you assist by checking on system for delivery to my address the order number https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3929660